Update webhook
PATCH
/api/v1/projects/{projectId}/webhooks/{webhookId}
Authentication
API Key (header: X-API-Key)
Path Parameters
projectId
string
required
path
webhookId
string
required
path
Request Body
application/jsonurl
string (uri)
events
string[]
Array of:
status
string
Enum:
active, disabledResponses
200
Webhook updated
No response body
curl -X PATCH 'https://api.rogeriq.com/api/v1/projects/string/webhooks/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "url": "https://example.com", "events": [ "string" ], "status": "active"}'
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/webhooks/string', { method: 'PATCH', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "url": "https://example.com", "events": [ "string" ], "status": "active" })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.patch('https://api.rogeriq.com/api/v1/projects/string/webhooks/string', headers=headers, json={ "url": "https://example.com", "events": [ "string" ], "status": "active"})print(response.json())
API Playground
Try this endpoint
PATCH
/api/v1/projects/{projectId}/webhooks/{webhookId}